Skip to main content
DELETE
/
v2
/
passes
/
{passTypeIdentifier}
/
{serialNumber}
/
images
/
{type}
/
{resolution}
Delete All Pass Images Type Resolution
curl --request DELETE \
  --url https://api.loyalty.dog/v2/passes/{passTypeIdentifier}/{serialNumber}/images/{type}/{resolution} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.loyalty.dog/v2/passes/{passTypeIdentifier}/{serialNumber}/images/{type}/{resolution}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.loyalty.dog/v2/passes/{passTypeIdentifier}/{serialNumber}/images/{type}/{resolution}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

JWT access token obtained from POST /v2/token.

Headers

authorization
string | null

Path Parameters

type
enum<string>
required

Supported images Boarding pass: logo, icon, footer Coupon: logo, icon, strip Event ticket: logo, icon, strip, background, thumbnail If you specify a strip image, do not specify a background image or a thumbnail. Generic: logo, icon, thumbnail Store card: logo, icon, strip

Args: StrEnum (type): description

Available options:
logo,
icon,
strip,
footer,
background,
thumbnail
resolution
enum<string>
required
Available options:
normal,
high,
ultra
passTypeIdentifier
string | null
required
serialNumber
string | null
required

Query Parameters

passId
string | null
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

Response

Successful Response